package madynes.flowoid;

import madynes.flowoid.exporter.ExporterService;
import madynes.flowoid.exporter.R;
import android.app.ListActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class ActionsActivity extends ListActivity implements OnItemClickListener {
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		ListView listView = getListView();
 
		setListAdapter(new ArrayAdapter<String>(this, R.layout.actions, getResources().getStringArray(R.array.actionsChoices)));

 		listView.setTextFilterEnabled(true);
 		listView.setOnItemClickListener(this);
	}

	@Override
	public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
		TextView textView = (TextView) view;
		
		if(textView.getText().equals(getString(R.string.forceExport))) {
        	Toast.makeText(getApplicationContext(), getString(R.string.forcingExport), Toast.LENGTH_SHORT).show();

        	ExporterService.forceExport();
        	finish();
		}
	}
}
