package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;
import java.util.Date;
import madynes.flowoid.exporter.DataField;
import madynes.flowoid.exporter.ExportPacket;

public class FieldFirstSwitched extends DataField {
	private int value;

	@Override
	public void onInit(byte[] headers) {
		value = (int) (new Date().getTime() - ExportPacket.getBootEpoch());
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();

		bytes.putInt(value);

    	return bytes;
	}
}
