package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;
import madynes.flowoid.exporter.DataField;
import edu.huji.cs.netutils.parse.IPv4Packet;

public class FieldIPv4AddrDst extends DataField {
	private int value;
	
	@Override
	public void onInit(byte[] headers) {
		IPv4Packet ipPacket = new IPv4Packet(headers);
		value = (int) ipPacket.getDestinationIPv4().getIPasLong();
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		bytes.putInt(value);

    	return bytes;
	}
}