package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import madynes.flowoid.exporter.DataField;
import edu.huji.cs.netutils.parse.IPv4Packet;

public class FieldIPv4Length extends DataField {
	private int value = 0;
	
	@Override
	public void onInit(byte[] headers) {
		onUpdate(headers);
	}

	@Override
	public void onUpdate(byte[] headers) {
		IPv4Packet ipPacket = new IPv4Packet(headers);
		value += ipPacket.getIpPktTotalLength();
	}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		bytes.putInt(value);

    	return bytes;
	}
}
