package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import madynes.flowoid.exporter.DataField;
import edu.huji.cs.netutils.parse.IPv6Packet;

public class FieldIPv6AddrSrc extends DataField {
	private byte[] value;
	
	@Override
	public void onInit(byte[] headers) {
		IPv6Packet ipPacket = new IPv6Packet(headers);
		value = ipPacket.getSourceIP().getIPv6AddressByteArray();
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		bytes.put(value);

    	return bytes;
	}
}