package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

import madynes.flowoid.exporter.DataField;

public class FieldLocAlgo extends DataField {
	private short value;
	
	public FieldLocAlgo(int algo) {
		value = (short) algo;
	}

	@Override
	public void onInit(byte[] headers) {}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		
    	ByteBuffer valueBytes = ByteBuffer.allocate(2);
    	valueBytes.order(ByteOrder.LITTLE_ENDIAN);
    	valueBytes.putShort(value);

		bytes.put(valueBytes.get(0));

    	return bytes;
	}
}
