package madynes.flowoid.exporterImpl;

import android.content.Context;
import edu.huji.cs.netutils.parse.UDPPacket;

public class FieldUDPAppName extends FieldAppName {

	public FieldUDPAppName(Context context) {
		super(context);
	}

	@Override
	public void onInit(byte[] headers) {
		UDPPacket udpPacket = new UDPPacket(headers);
		int srcPort = udpPacket.getSourcePort();
		int dstPort = udpPacket.getDestinationPort();
		int port = srcPort > dstPort ? srcPort : dstPort;

		value = getAppName(port, "udp");
		
		if(value == null) {
			value = getAppName(port, "udp6"); 
		}
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
}
