package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import android.content.ContentResolver;
import android.provider.Settings.Secure;

import madynes.flowoid.exporter.DataField;

public class FieldDeviceID extends DataField {
	private static int value = -1;
	
	public FieldDeviceID(ContentResolver contentResolver) {
		getDeviceID(contentResolver);
	}
	
	public static int getDeviceID(ContentResolver contentResolver) {
		if(value < 0) {
	    	String androidID = Secure.getString(contentResolver, Secure.ANDROID_ID);
	    	value = Math.abs(androidID.hashCode());
		}
		
		return value;
	}

	@Override
	public void onInit(byte[] headers) {}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		
    	bytes.putInt(value);

    	return bytes;
	}
}
