package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import madynes.flowoid.LocationFinder;
import madynes.flowoid.exporter.DataField;

public class FieldLocLatInt extends DataField {
	private int value;
	private LocationFinder location;
	
	public FieldLocLatInt(LocationFinder location) {
		this.location = location;
	}

	@Override
	public void onInit(byte[] headers) {
		double latitude = location.getLatitude();
		
		value = (int) latitude;
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		
		bytes.putInt(value);

    	return bytes;
	}
}
