package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import madynes.flowoid.LocationFinder;
import madynes.flowoid.exporter.DataField;

public class FieldLocLongInt extends DataField {
	private int value;
	private LocationFinder location;
	
	public FieldLocLongInt(LocationFinder location) {
		this.location = location;
	}

	@Override
	public void onInit(byte[] headers) {
		double longitude = location.getLongitude();
		
		value = (int) longitude;
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		
		bytes.putInt(value);

    	return bytes;
	}
}
