package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;
import madynes.flowoid.LocationFinder;
import madynes.flowoid.exporter.DataField;

public class FieldLocTimestamp extends DataField {
	private int value;
	private LocationFinder location;
	
	public FieldLocTimestamp(LocationFinder location) {
		this.location = location;
	}

	@Override
	public void onInit(byte[] headers) {}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {
		value = location.getTimestamp();
	}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();

		bytes.putInt(value);

    	return bytes;
	}
}
