package madynes.flowoid.exporterImpl;

import android.content.Context;
import edu.huji.cs.netutils.parse.TCPPacket;

public class FieldTCPAppName extends FieldAppName {

	public FieldTCPAppName(Context context) {
		super(context);
	}

	@Override
	public void onInit(byte[] headers) {
		TCPPacket tcpPacket = new TCPPacket(headers);
		int srcPort = tcpPacket.getSourcePort();
		int dstPort = tcpPacket.getDestinationPort();
		int port = srcPort > dstPort ? srcPort : dstPort;

		value = getAppName(port, "tcp");
		
		if(value == null) {
			value = getAppName(port, "tcp6"); 
		}
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
}
