package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

import edu.huji.cs.netutils.parse.TCPPacket;

import madynes.flowoid.exporter.DataField;

public class FieldTCPFlags extends DataField {
	private short value;

	@Override
	public void onInit(byte[] headers) {}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {
		TCPPacket tcpPacket = new TCPPacket(headers);

		value = (short) tcpPacket.getAllFlags();
	}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		
    	ByteBuffer valueBytes = ByteBuffer.allocate(2);
    	valueBytes.order(ByteOrder.LITTLE_ENDIAN);
    	valueBytes.putShort(value);

		bytes.put(valueBytes.get(0));

    	return bytes;
	}
}
