package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import madynes.flowoid.exporter.DataField;
import edu.huji.cs.netutils.parse.TCPPacket;

public class FieldTCPPortSrc extends DataField {
	private short value;

	@Override
	public void onInit(byte[] headers) {
		TCPPacket tcpPacket = new TCPPacket(headers);
		value = (short) tcpPacket.getSourcePort();
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();

		bytes.putShort(value);

    	return bytes;
	}
}
