package madynes.flowoid.exporterImpl;

import java.nio.ByteBuffer;

import madynes.flowoid.exporter.DataField;
import edu.huji.cs.netutils.parse.UDPPacket;

public class FieldUDPPortDst extends DataField {
	private short value;
	
	@Override
	public void onInit(byte[] headers) {
		UDPPacket tcpPacket = new UDPPacket(headers);
		value = (short) tcpPacket.getDestinationPort();
	}

	@Override
	public void onUpdate(byte[] headers) {}

	@Override
	public void onExport(byte[] headers) {}
	
	@Override
	public ByteBuffer getValue() {
		ByteBuffer bytes = getByteBuffer();
		bytes.putShort(value);

    	return bytes;
	}
}
