package madynes.flowoid.exporterImpl;

import madynes.flowoid.exporter.DataRecord;
import madynes.flowoid.exporter.TemplateRecord;
import edu.huji.cs.netutils.parse.TCPPacket;

public class RecordTCP extends DataRecord {

	public RecordTCP(TemplateRecord template) {
		super(template);
	}

	@Override
	public boolean isEnded(byte[] headers) {
		TCPPacket tcpPacket = new TCPPacket(headers);
		
		return tcpPacket.isFin() || tcpPacket.isRst();
	}

}
