#!/usr/bin/env gnuplot

set term svg
set output './plot_routines.svg'

set xdata time
set timefmt "%s"
# set xtics 3600
set format x "%d"

set mxtics
set mytics
set style line 12 lc rgb '#ddccdd' lt 1 lw 1.5
set style line 13 lc rgb '#ddccdd' lt 1 lw 0.5
set grid xtics mxtics ytics mytics back ls 12, ls 13

set xlabel "Relative time (days)"
set ylabel "# NetFlows"

plot './graph_add' using 1:2 title 'user' with filledcurves, './graph_routines' using 1:2 title 'routines' with filledcurves

exit
