#!/bin/bash

# sed 's/ /\\\\|/g' /tmp/addresses.alex.10c | xargs -I{} grep -v "'({})'" dvsm.data.alex | grep -v :53 > /tmp/user_traffic.alex.10c

first=1373470953
routines=$(sed 's/ /\\\\|/g' addresses.alex.10c | xargs -I{} echo "'({})'")

while read flow; do
	time=$(echo $flow | cut -d' ' -f1-2)
	start=$(($(date -d "$time" +%s) - first))
	duration=$(echo $flow | cut -d' ' -f3 | cut -d. -f1)
	addresses=$(echo $flow | cut -d' ' -f4-)
	isRoutine=$(echo $addresses | grep $routines &> /dev/null && echo true || echo false)
	last=$((start + duration))

	for i in $(seq $start $last); do
		if $isRoutine; then
			((cptRoutines[$i]++))
		else
			((cptUser[$i]++))
		fi
	done
done

for i in $(seq 0 $last); do
	echo $i ${cptUser[$i]:-0} >> /tmp/graph_user
	echo $i ${cptRoutines[$i]:-0} >> /tmp/graph_routines
done

exit 0
